GetCalculatedChannelVersions
curl --request GET \
--url https://api.siftstack.com/api/v2/calculated-channels/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v2/calculated-channels/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/calculated-channels/versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"calculatedChannels": [
{
"calculatedChannelId": "<string>",
"organizationId": "<string>",
"versionId": "<string>",
"version": 123,
"name": "<string>",
"description": "<string>",
"changeMessage": "<string>",
"userNotes": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"calculatedChannelConfiguration": {
"assetConfiguration": {
"allAssets": true,
"selection": {
"assetIds": [
"<string>"
],
"tagIds": [
"<string>"
]
}
},
"queryConfiguration": {
"sel": {
"expression": "<string>",
"expressionChannelReferences": [
{
"channelReference": "<string>",
"channelIdentifier": "<string>",
"calculatedChannelVersionId": "<string>",
"calculatedChannel": {
"expression": "<string>",
"channelReferences": {},
"expressionChannelReferences": [
{
"channelReference": "<string>",
"channelId": "<string>",
"calculatedChannel": "<unknown>"
}
],
"functionDependencies": [
{
"userDefinedFunctionVersionId": "<string>"
}
]
}
}
]
}
}
},
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"functionDependencies": [
{
"userDefinedFunctionVersionId": "<string>"
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"isArchived": true,
"calculatedChannelDependencies": [
{
"calculatedChannelVersionId": "<string>"
}
],
"clientKey": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"units": "<string>",
"folderIds": [
"<string>"
]
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}CalculatedChannelService
GetCalculatedChannelVersions
Retrieve calculated channel versions by their version IDs.
GET
/
api
/
v2
/
calculated-channels
/
versions
GetCalculatedChannelVersions
curl --request GET \
--url https://api.siftstack.com/api/v2/calculated-channels/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v2/calculated-channels/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/calculated-channels/versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"calculatedChannels": [
{
"calculatedChannelId": "<string>",
"organizationId": "<string>",
"versionId": "<string>",
"version": 123,
"name": "<string>",
"description": "<string>",
"changeMessage": "<string>",
"userNotes": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"calculatedChannelConfiguration": {
"assetConfiguration": {
"allAssets": true,
"selection": {
"assetIds": [
"<string>"
],
"tagIds": [
"<string>"
]
}
},
"queryConfiguration": {
"sel": {
"expression": "<string>",
"expressionChannelReferences": [
{
"channelReference": "<string>",
"channelIdentifier": "<string>",
"calculatedChannelVersionId": "<string>",
"calculatedChannel": {
"expression": "<string>",
"channelReferences": {},
"expressionChannelReferences": [
{
"channelReference": "<string>",
"channelId": "<string>",
"calculatedChannel": "<unknown>"
}
],
"functionDependencies": [
{
"userDefinedFunctionVersionId": "<string>"
}
]
}
}
]
}
}
},
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"functionDependencies": [
{
"userDefinedFunctionVersionId": "<string>"
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"isArchived": true,
"calculatedChannelDependencies": [
{
"calculatedChannelVersionId": "<string>"
}
],
"clientKey": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"units": "<string>",
"folderIds": [
"<string>"
]
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Response
A successful response.
The response of a call to CalculatedChannelService_GetCalculatedChannelVersions.
Show child attributes
Show child attributes
Was this page helpful?
⌘I